> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/network-device/update-a-network-device.md).

# Update a network device

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"network device","description":"Network devices, as opposed to user devices, and their IP addresses."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ModifyNetworkDevice":{"type":"object","required":["name","assigned_ips"],"properties":{"assigned_ips":{"type":"array","items":{"type":"string"}},"description":{"type":["string","null"]},"name":{"type":"string"}}},"NetworkDeviceInfo":{"type":"object","required":["id","name","assigned_ips","added_by","added_date","location","wireguard_pubkey","configured","split_ips"],"properties":{"added_by":{"type":"string"},"added_date":{"type":"string","format":"date-time"},"assigned_ips":{"type":"array","items":{"type":"string"}},"configured":{"type":"boolean"},"description":{"type":["string","null"]},"id":{"$ref":"#/components/schemas/i64"},"location":{"$ref":"#/components/schemas/NetworkDeviceLocation"},"name":{"type":"string"},"split_ips":{"type":"array","items":{"$ref":"#/components/schemas/SplitIp"}},"wireguard_pubkey":{"type":"string"}}},"i64":{"type":"integer","format":"int64"},"NetworkDeviceLocation":{"type":"object","required":["id","name"],"properties":{"id":{"$ref":"#/components/schemas/i64"},"name":{"type":"string"}}},"SplitIp":{"type":"object","required":["network_part","modifiable_part","network_prefix","ip"],"properties":{"ip":{"type":"string"},"modifiable_part":{"type":"string"},"network_part":{"type":"string"},"network_prefix":{"type":"string"}}},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/device/network/{device_id}":{"put":{"tags":["network device"],"summary":"Update a network device","operationId":"modify_network_device","parameters":[{"name":"device_id","in":"path","description":"ID of the network device.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyNetworkDevice"}}},"required":true},"responses":{"200":{"description":"Network device updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDeviceInfo"}}}},"400":{"description":"Invalid IP assignment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Network device not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to update network device.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
